<template>
  <div class="layout">
    <input ref="toggleCheckbox"
           id="sidebar-toggle"
           class="sidebar-checkbox"
           type="checkbox"/>
    <label for="sidebar-toggle" class="sidebar-toggle">
      <span class="fas fa-bars"></span>
    </label>

    <nav class="sidebar">
      <div class="sidebar-logo">
        <img src="/images/logo.png" class="sidebar-logo-image">
      </div>

      <sidebar-item title="sidebar.dragModals" icon="window-restore" :to="localePath({ name: 'drag-modals' })" />
      <sidebar-item title="sidebar.fetchData" icon="sync" :to="localePath({ name: 'fetch-data' })" />
    </nav>

    <section class="page">
      <header class="header">
        <span class="header-title">
          {{ $t($store.state.title) }}
        </span>

        <div class="header-locales">
          <nuxt-link :to="switchLocalePath('ru')" class="header-locales-item"> <ru-flag/> </nuxt-link>
          <nuxt-link :to="switchLocalePath('en')" class="header-locales-item"> <en-flag/> </nuxt-link>
        </div>
      </header>

      <nuxt-child class="main"/>
    </section>

    <footer class="footer">
      {{ $t('footer') }}
    </footer>
  </div>
</template>

<script lang="ts">
  import { Component, Vue } from 'nuxt-property-decorator';
  import SidebarItem from '~/components/SidebarItem.vue';
  // @ts-ignore
  import RuFlag from '~/assets/images/ru.svg';

  // @ts-ignore
  import EnFlag from '~/assets/images/en.svg';

  @Component({
    components: { SidebarItem, RuFlag, EnFlag }
  })
  export default class DefaultLayout extends Vue {}
</script>
